DestroyusPro.materialsRequireInStack = 5
DestroyusPro.professionIdNotExist = -1

function DestroyusPro.isQualityHerbAllowed(quality)
	return quality >= DestroyusPro.strToNumQuality["common"] and 
		   quality <= DestroyusPro.strToNumQuality["uncommon"] 
end

function DestroyusPro.isItemNotConsumable(item_id)
	return not IsConsumableItem(item_id)
end

function DestroyusPro.isStackAmountEnough(amount)
	return amount >= DestroyusPro.materialsRequireInStack
end

function DestroyusPro.isHerb(class, subClass)
	return DestroyusPro.itemClassHerb[class] and DestroyusPro.itemClassHerb[subClass]
end

function DestroyusPro.isOre(class, subClass, item_id)
	return DestroyusPro.itemClassOre[class] and DestroyusPro.itemClassOre[subClass] and 
		   DestroyusPro.itemClassOre[item_id]
end

function DestroyusPro.haveItemRequiredProfLvl(item_id, skill_line, itemsIlvl)
    local result = true
	local proffesionTabIds = DestroyusPro.getProffessionsId()
	local firstProffesion = DestroyusPro.getProffessionInfo(proffesionTabIds["firstProffesion"])
	local secondProffesion =  DestroyusPro.getProffessionInfo(proffesionTabIds["secondProffesion"])
	if firstProffesion["skillLine"] == skill_line then
		result = itemsIlvl[item_id] <= firstProffesion["skillLevel"]
	elseif secondProffesion["skillLine"] == skill_line then
		result = itemsIlvl[item_id] <= secondProffesion["skillLevel"]
	else
		result = false
	end
	
	return result
end

function DestroyusPro.haveSpellMilling()
	local result = false
	local spellBookItem = GetSpellBookItem(GetSpellInfo(51005))
	return spellBookItem ~= nil and true or false
end

function DestroyusPro.getProffessionsId()
	local profTab = {GetProfessions()}
	local proffesionTab = {}
	proffesionTab["firstProffesion"] = profTab[1] ~= nil and profTab[1] or DestroyusPro.professionIdNotExist
	proffesionTab["secondProffesion"] = profTab[2] ~= nil and profTab[2] or DestroyusPro.professionIdNotExist
	proffesionTab["archaeology"] = profTab[3] ~= nil and profTab[3] or DestroyusPro.professionIdNotExist
	proffesionTab["fishing"] = profTab[4] ~= nil and profTab[4] or DestroyusPro.professionIdNotExist
	proffesionTab["cooking"] = profTab[5] ~= nil and profTab[5] or DestroyusPro.professionIdNotExist
	proffesionTab["firstAid"] = profTab[6] ~= nil and profTab[6] or DestroyusPro.professionIdNotExist
	return proffesionTab
end

function DestroyusPro.getProffessionInfo(index)
	local profTab = {GetProfessionInfo(index)}
	local proffesionTab = {}
	proffesionTab["name"] = profTab[1]
	proffesionTab["icon"] = profTab[2] 
	proffesionTab["skillLevel"] = profTab[3] 
	proffesionTab["maxSkillLevel"] = profTab[4] 
	proffesionTab["numAbilities"] = profTab[5] 
	proffesionTab["spelloffset"] = profTab[6] 
	proffesionTab["skillLine"] = profTab[7]
	proffesionTab["skillModifier"] = profTab[8] 
	proffesionTab["specializationIndex"] = profTab[9]
	proffesionTab["specializationOffset"] = profTab[10]
	return proffesionTab
end